# Generated by go2rpm 1.8.0
%bcond_without check

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20231107.00
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# Remove references to Google's ContainerOS since we're building this for
# Fedora.
Patch0:         google-osconfig-agent-remove-containeros.patch

# Remove serial port code because it depends on a very, very out of date serial module.
# https://github.com/GoogleCloudPlatform/guest-agent/issues/252
Patch1:         google-osconfig-agent-remove-serial-port-functionality.patch

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
%gopkginstall
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/

install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
%gocheck -d agentendpoint -d config -d ospatch -d packages
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%gopkgfiles

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
%autochangelog
